<script>
    import {createCar, updateCar} from "../CarStore";

    export let car = {};
    export let sizes = ["SMALL", "MEDIUM", "LARGE"];

</script>

<div>
    <form>
        <input id="model" bind:value={car.name}>
        <select id="size" bind:value={car.size}>
            {#each sizes as size}
                <option value={size}>{size}</option>
                {/each}
        </select>
        <input id="price" bind:value={car.dailyRent}>
        <button on:click={createCar(car)}>save</button>
        <button on:click={() => car = {}}>clear</button>
        <button on:click={updateCar(car)}>update</button>
    </form>
</div>